Index: uspace/srv/net/inetsrv/inetping.c
===================================================================
--- uspace/srv/net/inetsrv/inetping.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/inetsrv/inetping.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -136,5 +136,5 @@
 }
 
-static void inetping_send_srv(inetping_client_t *client, cap_call_handle_t iid,
+static void inetping_send_srv(inetping_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -146,41 +146,41 @@
 	sdu.seq_no = IPC_GET_ARG1(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(sdu.src)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &sdu.src, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &sdu.src, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(sdu.dest)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &sdu.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &sdu.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -189,5 +189,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -196,13 +196,13 @@
 	free(sdu.data);
 
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
 static void inetping_get_srcaddr_srv(inetping_client_t *client,
-    cap_call_handle_t iid, ipc_call_t *icall)
+    cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetping_get_srcaddr_srv()");
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
 
@@ -210,20 +210,20 @@
 	inet_addr_t remote;
 
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(remote)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &remote, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &remote, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -231,25 +231,25 @@
 	rc = inetping_get_srcaddr(client, &remote, &local);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(local)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &local, size);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &local, size);
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
 }
 
@@ -281,10 +281,10 @@
 }
 
-void inetping_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+void inetping_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "inetping_conn()");
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	inetping_client_t client;
@@ -295,10 +295,10 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -306,11 +306,11 @@
 		switch (method) {
 		case INETPING_SEND:
-			inetping_send_srv(&client, callid, &call);
+			inetping_send_srv(&client, chandle, &call);
 			break;
 		case INETPING_GET_SRCADDR:
-			inetping_get_srcaddr_srv(&client, callid, &call);
+			inetping_get_srcaddr_srv(&client, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/srv/net/inetsrv/inetsrv.c
===================================================================
--- uspace/srv/net/inetsrv/inetsrv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/inetsrv/inetsrv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -120,5 +120,5 @@
 }
 
-static void inet_callback_create_srv(inet_client_t *client, cap_call_handle_t callid,
+static void inet_callback_create_srv(inet_client_t *client, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -127,10 +127,10 @@
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
 	if (sess == NULL) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
 
 	client->sess = sess;
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 }
 
@@ -230,5 +230,5 @@
 }
 
-static void inet_get_srcaddr_srv(inet_client_t *client, cap_call_handle_t iid,
+static void inet_get_srcaddr_srv(inet_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -237,23 +237,23 @@
 	uint8_t tos = IPC_GET_ARG1(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t remote;
-	errno_t rc = async_data_write_finalize(callid, &remote, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &remote, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
@@ -261,31 +261,31 @@
 	rc = inet_get_srcaddr(&remote, tos, &local);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &local, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	async_answer_0(iid, rc);
-}
-
-static void inet_send_srv(inet_client_t *client, cap_call_handle_t iid,
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &local, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void inet_send_srv(inet_client_t *client, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -300,40 +300,40 @@
 	int df = IPC_GET_ARG4(*icall);
 
-	cap_call_handle_t callid;
+	cap_call_handle_t chandle;
 	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &dgram.src, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
-	}
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &dgram.src, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
+	}
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_write_finalize(callid, &dgram.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_write_finalize(chandle, &dgram.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
@@ -341,5 +341,5 @@
 	    &dgram.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -348,8 +348,8 @@
 
 	free(dgram.data);
-	async_answer_0(iid, rc);
-}
-
-static void inet_set_proto_srv(inet_client_t *client, cap_call_handle_t callid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void inet_set_proto_srv(inet_client_t *client, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -360,10 +360,10 @@
 
 	if (proto > UINT8_MAX) {
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
 
 	client->protocol = proto;
-	async_answer_0(callid, EOK);
+	async_answer_0(chandle, EOK);
 }
 
@@ -387,5 +387,5 @@
 }
 
-static void inet_default_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void inet_default_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	inet_client_t client;
@@ -394,5 +394,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	inet_client_init(&client);
@@ -400,10 +400,10 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			return;
 		}
@@ -411,17 +411,17 @@
 		switch (method) {
 		case INET_CALLBACK_CREATE:
-			inet_callback_create_srv(&client, callid, &call);
+			inet_callback_create_srv(&client, chandle, &call);
 			break;
 		case INET_GET_SRCADDR:
-			inet_get_srcaddr_srv(&client, callid, &call);
+			inet_get_srcaddr_srv(&client, chandle, &call);
 			break;
 		case INET_SEND:
-			inet_send_srv(&client, callid, &call);
+			inet_send_srv(&client, chandle, &call);
 			break;
 		case INET_SET_PROTO:
-			inet_set_proto_srv(&client, callid, &call);
+			inet_set_proto_srv(&client, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/srv/net/loopip/loopip.c
===================================================================
--- uspace/srv/net/loopip/loopip.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/loopip/loopip.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -59,5 +59,5 @@
 static errno_t loopip_addr_remove(iplink_srv_t *srv, inet_addr_t *addr);
 
-static void loopip_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void loopip_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 static iplink_ops_t loopip_iplink_ops = {
@@ -148,8 +148,8 @@
 }
 
-static void loopip_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void loopip_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "loopip_client_conn()");
-	iplink_conn(iid, icall, &loopip_iplink);
+	iplink_conn(icall_handle, icall, &loopip_iplink);
 }
 
Index: uspace/srv/net/nconfsrv/nconfsrv.c
===================================================================
--- uspace/srv/net/nconfsrv/nconfsrv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/nconfsrv/nconfsrv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -54,5 +54,5 @@
 #define NAME "nconfsrv"
 
-static void ncs_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void ncs_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 static errno_t ncs_init(void)
@@ -98,7 +98,7 @@
 }
 
-static void ncs_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void ncs_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
-	async_answer_0(iid, ENOTSUP);
+	async_answer_0(icall_handle, ENOTSUP);
 }
 
Index: uspace/srv/net/slip/slip.c
===================================================================
--- uspace/srv/net/slip/slip.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/srv/net/slip/slip.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -199,8 +199,8 @@
 }
 
-static void slip_client_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void slip_client_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "slip_client_conn()");
-	iplink_conn(iid, icall, &slip_iplink);
+	iplink_conn(icall_handle, icall, &slip_iplink);
 }
 
